//---------------------------------------------------------------------------
#ifndef App_SplitDialogH
#define App_SplitDialogH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <FileCtrl.hpp>
#include <StdCtrls.hpp>
#include "App_Split.h"
//---------------------------------------------------------------------------
class TAppSplitDialog : public TForm
{
__published:
	TButton* Button1;
	TButton* Button2;
	TButton* Button3;
	TComboBox* ComboBox1;
	TEdit* Edit1;
	TEdit* Edit2;
	TEdit* Edit3;
	TEdit* Edit4;
	TGroupBox* GroupBox1;
	TLabel* Label1;
	TLabel* Label11;
	TLabel* Label2;
	TLabel* Label3;
	TLabel* Label4;
	TLabel* Label5;
	void __fastcall Button1Click(TObject* ASender);
	void __fastcall ComboBox1Exit(TObject* ASender);
	void __fastcall Edit1Exit(TObject* ASender);
	void __fastcall Edit2Exit(TObject* ASender);
	void __fastcall FormCloseQuery(TObject* ASender, bool& ACanClose);
private:
	TSplitArguments FValues;
	TSplitArguments __fastcall GetInputs();
	void __fastcall SetInputs(const TSplitArguments& AInputs);
	AnsiString __fastcall GetInput1();
	void __fastcall SetInput1(const AnsiString& AInput1);
	AnsiString __fastcall GetInput2();
	void __fastcall SetInput2(const AnsiString& AInput2);
	AnsiString __fastcall GetInput3();
	void __fastcall SetInput3(const AnsiString& AInput3);
	AnsiString __fastcall GetInput4();
	void __fastcall SetInput4(const AnsiString& AInput4);
	AnsiString __fastcall GetInput5();
	void __fastcall SetInput5(const AnsiString& AInput5);
	__property TSplitArguments Inputs = {read=GetInputs, write=SetInputs};
	__property AnsiString Input1 = {read=GetInput1, write=SetInput1};
	__property AnsiString Input2 = {read=GetInput2, write=SetInput2};
	__property AnsiString Input3 = {read=GetInput3, write=SetInput3};
	__property AnsiString Input4 = {read=GetInput4, write=SetInput4};
	__property AnsiString Input5 = {read=GetInput5, write=SetInput5};
protected:
public:
	__fastcall TAppSplitDialog(TComponent* AOwner);
	virtual __fastcall ~TAppSplitDialog();
	static TAppSplitDialog* __fastcall EnsureCreate();
	static TSplitArguments __fastcall GetDefaultValues();
	virtual bool __fastcall Execute();
	__property TSplitArguments Values = {read=FValues, write=FValues};
};
//---------------------------------------------------------------------------
extern PACKAGE TAppSplitDialog* AppSplitDialog;
//---------------------------------------------------------------------------
#endif

