//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include <IniFiles.hpp>
#include "App_System.h"
#include "Moa_Strings.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
//---------------------------------------------------------------------------
namespace App_system {
//---------------------------------------------------------------------------
__fastcall TSystemModel::TSystemModel() :
	TModel()
{
	// Do nothing
}
//---------------------------------------------------------------------------
__fastcall TSystemModel::~TSystemModel()
{
	// Do nothing
}
//---------------------------------------------------------------------------
void __fastcall TSystemModel::LoadSettings(TMemIniFile* ASettings, const AnsiString& ASection)
{
	AnsiString LSection = ASection;
	{
		AnsiString LCurrentDirectory = GetCurrentDir();
		LCurrentDirectory = TAnsiStringUtilities::Quote(ASettings->ReadString(
			LSection,
			"CurrentDirectory",
			TAnsiStringUtilities::Quote(LCurrentDirectory)));
		SetCurrentDir(LCurrentDirectory);
	}
}
//---------------------------------------------------------------------------
void __fastcall TSystemModel::SaveSettings(TMemIniFile* ASettings, const AnsiString& ASection)
{
	AnsiString LSection = ASection;
	{
		ASettings->WriteString(
			LSection,
			"CurrentDirectory",
			TAnsiStringUtilities::Quote(GetCurrentDir()));
	}
}
//---------------------------------------------------------------------------
} // End namespace App_system
//---------------------------------------------------------------------------

